Create client
curl --request POST \
--url https://api.halth.com/v1/organisations/{organisationId}/clients \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "John",
"lastName": "Doe",
"mobileNumber": "+27712345678",
"email": "john.doe@example.com",
"dateOfBirth": "1990-01-01"
}
'import requests
url = "https://api.halth.com/v1/organisations/{organisationId}/clients"
payload = {
"firstName": "John",
"lastName": "Doe",
"mobileNumber": "+27712345678",
"email": "john.doe@example.com",
"dateOfBirth": "1990-01-01"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: 'John',
lastName: 'Doe',
mobileNumber: '+27712345678',
email: 'john.doe@example.com',
dateOfBirth: '1990-01-01'
})
};
fetch('https://api.halth.com/v1/organisations/{organisationId}/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"deleted": true,
"createdAt": "2023-11-07T05:31:56Z",
"memberId": "memb_38JiySr0Z0ePjHpqvosimyLQuUC",
"firstName": "<string>",
"lastName": "<string>",
"dateOfBirth": "<string>",
"mobileNumber": "<string>",
"email": "<string>",
"pmsPatientId": "<string>",
"pmsCreatedAt": "2023-11-07T05:31:56Z",
"profileImageUrl": "<string>"
}Client
Create client
Create a new client in the organisation. The client will be created in the PMS system if available.
POST
/
v1
/
organisations
/
{organisationId}
/
clients
Create client
Path Parameters
Body
application/json
The first name of the client
Example:
"John"
The last name of the client
Example:
"Doe"
The mobile number of the client
Example:
"+27712345678"
The email address of the client
Example:
"john.doe@example.com"
The date of birth of the client
Example:
"1990-01-01"
Response
201 - application/json
The ID of the member if the client has joined HaltH
Example:
"memb_38JiySr0Z0ePjHpqvosimyLQuUC"
Available options:
pms, halth, unknown ⌘I
